Package org.apache.sysds.runtime.lineage

# Class LineageMap

java.lang.Object
org.apache.sysds.runtime.lineage.LineageMap

public class LineageMap extends Object

## Constructor Summary

Constructors
Constructor
Description
`LineageMap()`
`LineageMap(LineageMap that)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(CPOperand variable)`
`boolean`
`containsKey(String key)`
`LineageItem`
`get(String varName)`
`LineageItem`
`get(CPOperand variable)`
`Map<String,LineageItem>`
`getLiterals()`
`LineageItem`
`getOrCreate(CPOperand variable)`
`Map<String,LineageItem>`
`getTraces()`
`void`
`processDedupItem(LineageMap lm, Long path, LineageItem[] liinputs, String name, Map<String,Integer> dpatchHashList)`
`LineageItem`
`removeLineageItem(String key)`
`void`
`resetLineageMaps()`
`LineageItem`
`set(String varName, LineageItem li)`
`LineageItem`
`setLiteral(String varName, LineageItem li)`
`void`
`trace(Instruction inst, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageMap

public LineageMap()

### LineageMap

public LineageMap(LineageMap that)

## Method Details

### trace

public void trace(Instruction inst, ExecutionContext ec)

### processDedupItem

public void processDedupItem(LineageMap lm, Long path, LineageItem[] liinputs, String name, Map<String,Integer> dpatchHashList)

### getOrCreate

public LineageItem getOrCreate(CPOperand variable)

### get

public LineageItem get(String varName)

### set

public LineageItem set(String varName, LineageItem li)

### setLiteral

public LineageItem setLiteral(String varName, LineageItem li)

### get

public LineageItem get(CPOperand variable)

### contains

public boolean contains(CPOperand variable)

### containsKey

public boolean containsKey(String key)

### resetLineageMaps

public void resetLineageMaps()

### getTraces

public Map<String,LineageItem> getTraces()

### getLiterals

public Map<String,LineageItem> getLiterals()

### removeLineageItem

public LineageItem removeLineageItem(String key)